Bug#486866: stormbaancoureur: 486866: indicates a problem with plib shlibs

Paul Wise pabs at debian.org
Sat Jun 21 10:03:22 UTC 2008

clone 486866 -1 -2
reassign -1 plib1.8.4c2
retitle -1 plib generates incorrect shlibs
reassign -2 plib1.8.4c2
retitle -2 split the library up into multiple packages
severity -2 wishlist
retitle 486866 stormbaancoureur needs to depend on plib >= 1.8.4-9

With plib 1.8.4-8 or earlier, stormbaancoureur gives this:

stormbaancoureur: error while loading shared libraries: libplibssgaux.so.1: cannot open shared object file: No such file or directory

This indicates a problem with plib not generating the right shlibs.

Once plib is fixed, the stormbaancoureur problem should be fixed with a

It might be a good idea to split plib up into individual library
packages in lenny+1 so that introducing new libraries does not require
an shlibs bump in the package.


-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: This is a digitally signed message part
Url : http://lists.alioth.debian.org/pipermail/pkg-games-devel/attachments/20080621/77d1c0d0/attachment.pgp 

More information about the Pkg-games-devel mailing list